Subject: Re: [stir] I-D Action: draft-ietf-stir-servprovider-oob-01.txt

From: Piotr Gregor <[email-masked]>
Date: Mon, 22 Mar 2021 17:12:32 +0000

Hi,

In chapter 4 (Advertising CPS) the draft says:

   An alternative to CPS advertisements that may be usable in some
   environments is adding a field to STIR [RFC8226] certificates
   identifying the CPS URI issued to individual service providers.  As
   these certificates are themselves signed by a CA, and contain their
   own TNAuthList, the URI would be bound securely to the proper
   telephone network identifiers.  As STIR assumes a community of
   relying parties who trust these credentials, this method perhaps best
   mirrors the trust model required to allow a CPS to authorize
PASSporT submission and retrieval.

It would be quite natural to embed CPS info in provider certificate, but
there is a problem with this: it will work only if the originator of a call
(PASSporT creator) already knows what is the certificate of destination (or
knows where to find it).
This will not be an option if you do not have yet the certificate of the
destination (unless there is other spec wich standardises the certificate
location?).
Maybe it would be a good idea to add a comment on that or elaborate this
section a bit.

regards,
Piotr

On Mon, Feb 22, 2021 at 11:36 PM <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Secure Telephone Identity Revisited WG of
> the IETF.
>
>         Title           : Out-of-Band STIR for Service Providers
>         Author          : Jon Peterson
>         Filename        : draft-ietf-stir-servprovider-oob-01.txt
>         Pages           : 9
>         Date            : 2021-02-22
>
> Abstract:
>    The Secure Telephone Identity Revisited (STIR) framework defines
>    means of carrying its Persona Assertion Tokens (PASSporTs) either in-
>    band, within the headers of a SIP request, or out-of-band, through a
>    service that stores PASSporTs for retrieval by relying parties.  This
>    specification defines a way that the out-of-band conveyance of
>    PASSporTs can be used to support large service providers, for cases
>    in which in-band STIR conveyance is not universally available.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-stir-servprovider-oob/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-stir-servprovider-oob-01
> https://datatracker.ietf.org/doc/html/draft-ietf-stir-servprovider-oob-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-stir-servprovider-oob-01
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir
>

-- 
Piotr Gregor
Software Engineer
[email-masked]
+44 01256 597 470

-- 
  *|*  Ask me about SignalWire Work <https://signalwire.com/products/work>, 
our new digital office alternative.